ADAM_2.12: Core 0.32.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package rdd
  Definition Classes
    adam
-  package read
  Definition Classes
    rdd
- ADAMBAMOutputFormat
- ADAMBAMOutputFormatHeaderLess
- ADAMCRAMOutputFormat
- ADAMCRAMOutputFormatHeaderLess
- ADAMSAMOutputFormat
- ADAMSAMOutputFormatHeaderLess
- AlignmentDataset
- AnySAMInFormatter
- AnySAMInFormatterCompanion
- AnySAMOutFormatter
- BAMInFormatter
- DatasetBoundAlignmentDataset
- DatasetBoundReadDataset
- FASTQInFormatter
- IncorrectMDTagException
- ParquetUnboundAlignmentDataset
- ParquetUnboundReadDataset
- QualityScoreBin
- RDDBoundAlignmentDataset
- RDDBoundReadDataset
- ReadDataset
- ReferencePositionPairSerializer
- SAMInFormatter
- SingleReadBucketSerializer

o

org.bdgenomics.adam.rdd.read

# ReadDataset 

###
Companion class ReadDataset

#### object ReadDataset

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReadDataset
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(rdd: RDD[Read], sd: SequenceDictionary): ReadDataset

   Builds a ReadDataset given a sequence dictionary.

   Builds a ReadDataset given a sequence dictionary.

   rdd

     The underlying Read RDD to build from.

   sd

     The sequence dictionary for this ReadDataset.

   returns

     Returns a new ReadDataset.

5.  def apply(rdd: RDD[Read]): ReadDataset

   Builds a ReadDataset with an empty sequence dictionary.

   Builds a ReadDataset with an empty sequence dictionary.

   rdd

     The underlying Read RDD to build from.

   returns

     Returns a new ReadDataset.

6.  def apply(ds: Dataset[Read], sequences: SequenceDictionary): ReadDataset

   A genomic dataset that wraps a dataset of Read data.

   A genomic dataset that wraps a dataset of Read data.

   ds

     A Dataset of genomic Reads.

   sequences

     The reference genome these data are aligned to.

7.  def apply(ds: Dataset[Read]): ReadDataset

   A genomic dataset that wraps a dataset of Read data.

   A genomic dataset that wraps a dataset of Read data.

   ds

     A Dataset of genomic Reads.

8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped